# std::future_error::future_error

From cppreference.com
< cpp‎ | thread‎ | future error

future_error( std::error_code ec ); // exposition only |  | (until C++17)
explicit future_error( std::future_errc ec ); |  | (since C++17)

Constructs a new future error object containing error code `ec` (until C++17)std::make_error_code(ec) (since C++17).

### Parameters

ec | - | error code

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/thread/future_error/future_error&oldid=88398"